### File

`packages/components/layout/eui-app/eui-app-toolbar/toolbar.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-toolbar`
imports | `AsyncPipe` `EuiSidebarToggleComponent` `EUI_LANGUAGE_SELECTOR`
templateUrl | `./toolbar.component.html`
styleUrl | `./toolbar.scss`

### Index

###### Properties
asService role
###### Inputs
euiSecondary
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

euiSecondary
Type : `boolean`
Default value : `false`

### HostBindings

attr.role
Type : `string`
Default value : `'banner'`

class
Type : `string`

### Properties

asService
Default value : `inject(EuiAppShellService)`

role
Type : `string`
Default value : `'banner'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""